
%global meadversion 1.11.0
%global namedversion 1.11.0.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jansi}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.11.0.redhat-1

Name:           %{?scl_prefix}jansi
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        jansi
Group:          Development/Java

%if %with mead
Source100: jansi-project-1.11.0.redhat-1-scm-sources.zip
Source102: jansi-project-1.11.0.redhat-1.pom
Source103: jansi-project-1.11.0.redhat-1-project-sources.tar.gz
Source104: jansi-project-1.11.0.redhat-1-site.xml
Source105: jansi-1.11.0.redhat-1.pom
Source106: jansi-1.11.0.redhat-1-sources.jar
Source107: jansi-1.11.0.redhat-1-javadoc.jar
Source108: jansi-1.11.0.redhat-1.jar
Source109: jansi-website-1.11.0.redhat-1.pom
%endif

License:        ASL 2.0
URL:            http://jansi.fusesource.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Jansi is a java library for generating and interpreting ANSI escape sequences.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jansi-project
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jansi -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jansi-%{namedversion}.jar %{buildroot}%{_javadir}/jansi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jansi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jansi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jansi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jansi-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jansi-website-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jansi-website-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jansi-website-%{namedversion} -x META-INF/\*
%{__ln_s} jansi-website-%{namedversion} %{buildroot}%{_javadocdir}/jansi-website
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc changelog.md KEYS license.txt readme.md
%{_javadir}/jansi-%{namedversion}.jar
%{_javadir}/jansi.jar
%if %with javadoc
%{_javadir}/jansi-%{namedversion}-javadoc.jar
%{_javadir}/jansi-javadoc.jar
%endif
%{_javadir}/jansi-%{namedversion}-sources.jar
%{_javadir}/jansi-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jansi-project-%{namedversion}
%{_javadocdir}/jansi-project
%endif

%changelog
* Thu Oct 15 2015 David Walluck <dwalluck@redhat.com> - 1.11.0-1.redhat_1.1
- 1.11

* Thu Jun 25 2015 David Walluck <dwalluck@redhat.com> - 1.9.0-1.redhat_6.1
- release

